input_files=[...
    'Siemens_real_in                        ';...
    'Siemens_nonneg_in                      ';...
    'Siemens_amplitude_in                   ';...
    'Near_field_Siemens_experimental_in     ';... 
    'Near_field_synthetic_in                ';...
    'Near_field_xenopus_in                  ';...
    'Near_field_living_worm_in              ';...
    'Near_field_dictyM103_stx6_600frames_in ';...
    'JWST_RCAAR_in                          ';...
    'JWST_AltP_in                           ';...
    'JWST_RAAR_in                           ';...
    'JWST_DRAP_in                           ';...
    'JWST_QNAP_in                           ';...
    'JWST_HPR_in                            ';...
    'JWST_RAAR_noise_in                     ';...
    'tasse_raar_in                          ';...
    'CDP_1D_AltP_warm_in                    ';...
    'CDP_1D_Wirt_cold_in                    ';...
    'CDP_1D_RAAR_warm_in                    ';...
    'CDP_1D_DRAP_warm_in                    ';...
    'CDP_1D_QNAP_cold_in                    ';...
    'CDP_2D_AltP_cold_in                    ';...
    'CDP_2D_DRAP_cold_in                    ';...
    'CDP_2D_QNAP_warm_in                    ';...
    'CDP_2D_RAAR_cold_in                    ';...
    'CDP_2D_Wirt_cold_in                    ';...
    'ART_averaged_proj_in                   ';...
    'ART_alternating_proj_in                ';...
    'BLOCK_AP_parallel_ART_in               ';...
    'BLOCK_ART_averaged_proj_in             ';...
    'BLOCK_GRAAL_parallel_ART_in            ';...
    'BLOCK_RAAR_parallel_ART_in             ';...
    'BLOCK_RAAR_sequential_ART_in           ';...
    'mask_in                                ';...
    'NormalCone_in                          ';...
    'Sparse_Fourier_AP_in                   ';...
    'Sparse_Fourier_RAAR_in                 ';...
    'Sparse_Random_AP_in                    ';...
    'Sudoku_in                              ';...
    'Ptych_PHeBIE_Gaenz_n0p0_mp7_in         ';...
    'Ptych_Rodenburg_Gaenz_n2p0_mp7_in      ';...
    'Ptych_Thibault_Gaenz_n0p0_mp7_in       ';...
    'Ptych_ThiDRl50_Gaenz_n2p0_mp7_in       ';...
    'Ptych_PHeBIE_Nesterov_Gaenz_n2p0_mp7_in';...
    'Ptych_Rodenburg_Gaenz_n2p0_mp7_in      ';...
    'Ptychography_Thibault_robin2_in        ';...
    'Ptychography_Rodenburg_robin2_in       ';...
    'Ptychography_PHeBIEptwise_robin2_in    ';...
     ];

[datasets,stringlength]=size(input_files);

for jj=1:datasets
        input_file = strtrim(input_files(jj,:));
        input_file
        [output,input] = main_ProxToolbox(input_file);
end

